# functions with printf format attribute but with special parser and also
# receiving non constant format strings
%define		Werror_cflags			%{nil}

# avoid failures when testing if compiler used to build gcc can generate
# shared objects (regardless of unresolved symbols)
%define		_disable_ld_no_undefined	1

# avoid build failure due to configure built with different autoconf version
%define		_disable_libtoolize		1

#-----------------------------------------------------------------------
%define		snapshot		%{nil}
%define		system_compiler		1
%define		branch			4.6
%define		alternatives		/usr/sbin/update-alternatives
%define		multilib_64		x86_64
%define		remove_alternatives	0
%define		obsolete_devmajor	0
%define		provide_libmajor	0
%if %mdkversion <= 201100
  %if %{system_compiler}
    %define	remove_alternatives	1
    %define	obsolete_devmajor	1
  %endif
  %ifarch %{multilib_64}
    %define	provide_libmajor	1
  %endif
%endif
%define		gccdir			%{_libdir}/gcc/%{_target_platform}/%{version}
%define		libdir32		%{_prefix}/lib
%if %{system_compiler}
  %define	name			gcc
%else
  %define	name			gcc%{branch}
%endif

#-----------------------------------------------------------------------
%define		gcc_major		1
%define		libgcc			%mklibname gcc %{gcc_major}
%define		stdcxx_major		6
%define		libstdcxx		%mklibname stdc++ %{stdcxx_major}
%define		libstdcxx_devel		%mklibname -d stdc++
%define		libstdcxx_static_devel	%mklibname -d -s stdc++
%define		gcj_major		12
%define		libgcj			%mklibname gcj %{gcj_major}
%define		libgcj_devel		%mklibname -d gcj
%define		libgcj_static_devel	%mklibname -d -s gcj
%define		gcj_bc_major		1
%define		libgcj_bc		%mklibname gcj_bc %{gcj_bc_major}
%define		gfortran_major		3
%define		libgfortran		%mklibname gfortran %{gfortran_major}
%define		libgfortran_devel	%mklibname -d gfortran
%define		libgfortran_static_devel %mklibname -d -s gfortran
%define		ffi_major		4
%define		libffi			%mklibname ffi %{ffi_major}
%define		libffi_devel		%mklibname -d ffi
%define		libffi_static_devel	%mklibname -d -s ffi
%define		gnat_major		1
%define		libgnat			%mklibname gnat %{gnat_major}
%define		libgnat_devel		%mklibname -d gnat
%define		libgnat_static_devel	%mklibname -d -s gnat
%define		go_major		0
%define		libgo			%mklibname go %{go_major}
%define		libgo_devel		%mklibname -d go
%define		libgo_static_devel	%mklibname -d -s go
%define		gomp_major		1
%define		libgomp			%mklibname gomp %{gomp_major}
%define		libgomp_devel		%mklibname -d gomp
%define		libgomp_static_devel	%mklibname -d -s gomp
%define		mudflap_major		0
%define		libmudflap		%mklibname mudflap %{mudflap_major}
%define		libmudflap_devel	%mklibname -d mudflap
%define		libmudflap_static_devel %mklibname -d -s mudflap
%define		objc_major		3
%define		libobjc			%mklibname objc %{objc_major}
%define		libobjc_devel		%mklibname -d objc
%define		libobjc_static_devel	 %mklibname -d -s objc
%define		quadmath_major		0
%define		libquadmath		%mklibname quadmath %{quadmath_major}
%define		libquadmath_devel	%mklibname -d quadmath
%define		libquadmath_static_devel %mklibname -d -s quadmath
%define		ssp_major		0
%define		libssp			%mklibname ssp %{ssp_major}
%define		libssp_devel		%mklibname -d ssp
%define		libssp_static_devel 	%mklibname -d -s ssp

#-----------------------------------------------------------------------
%define		build_ada		0
%define		build_check		0
%define		build_go		0
%define		build_lto		1
%define		build_objc		0
%define		build_objcxx		0
%define		build_quadmath		0
%define		build_ssp		0
%define		build_cloog		%{system_compiler}
%define		build_cxx		%{system_compiler}
%define		build_doc		%{system_compiler}
%define		build_ffi		%{system_compiler}
%define		build_fortran		%{system_compiler}
%define		build_gomp		%{system_compiler}
# system_compiler && build_ffi
%define		build_java		%{system_compiler}
# need to build if major does not conflict with current system_compiler
%define		build_libgcc		%{system_compiler}
%define		build_mudflap		%{system_compiler}
%define		build_pdf		%{build_doc}
%define		build_plugin		%{system_compiler}
%ifarch %{ix86} x86_64
  %define	build_ada		%{system_compiler}
  %define	build_quadmath		%{system_compiler}
# system_compiler && build_cxx
  %define	build_go		%{system_compiler}
  %define	build_objc		%{system_compiler}
  %define	build_objcxx		%{system_compiler}
%endif

#-----------------------------------------------------------------------
Name:		%{name}
Version:	4.6.1
Release:	3.3
Summary:	GNU Compiler Collection
License:	GPLv3+ and GPLv3+ with exceptions and GPLv2+ with exceptions and LGPLv2+ and BSD
Group:		Development/C
URL:		http://gcc.gnu.org/
# http://gcc.gnu.org/mirrors.html
# <<mirror>>/[releases|snapshots]/%{version}%{snapshot}/
Source0:	gcc-%{version}%{snapshot}.tar.bz2
Source1:	md5.sum
Source4:	c89
Source5:	c99
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%if %{system_compiler}
Requires:	gcc-cpp >= %{version}-%{release}
Requires:	libgcc >= %{version}-%{release}
Requires:	libgomp >= %{version}-%{release}
%endif
BuildRequires:	binutils >= 2.20.51.0.2
Requires:	binutils >= 2.20.51.0.2
BuildRequires:	elfutils-devel >= 0.147
%if %mdkversion <= 201100
Obsoletes:	manbo-mandriva-files-gcc
Obsoletes:	manbo-mandriva-files-gcc4.4
%endif

# Ensure https://qa.mandriva.com/show_bug.cgi?id=62943
# have been addressed if using an older version
Requires:	glibc-devel >= 2.13

BuildRequires:	dejagnu
BuildRequires:	bison
BuildRequires:	elfutils-devel
BuildRequires:	flex
BuildRequires:	gdb
BuildRequires:	gettext
BuildRequires:	gmp-devel, mpfr-devel, libmpc-devel
BuildRequires:	sharutils
BuildRequires:	texinfo
%if %{build_doc}
BuildRequires:	texi2html
%endif
%if %{build_pdf}
BuildRequires:	texlive
%endif
BuildRequires:	zlib-devel
%if %{build_cloog}
BuildRequires:	ppl-devel >= 0.11
BuildRequires:	pwl-devel >= 0.11
BuildRequires:	ppl_c-devel >= 0.11
BuildRequires:	cloog-ppl-devel >= 0.16.1
%endif
%if %{remove_alternatives}
Requires(pre):	update-alternatives
%endif
Obsoletes:	gcc-doc
%if %mdkversion <= 201100
  %if %{system_compiler}
# force same urpmi transaction
Conflicts:	libgomp1 <= 4.5.2
Conflicts:	libgomp-devel <= 4.5.2
Conflicts:	gcc-c++ <= 4.5.2
Conflicts:	libstdc++-devel <= 4.5.2
Conflicts:	libstdc++-static-devel <= 4.5.2
Conflicts:	gcc-gnat <= 4.5.2
Conflicts:	libgnat1 <= 4.5.2
Conflicts:	gcc-gfortran <= 4.5.2
Conflicts:	libgfortran3 <= 4.5.2
Conflicts:	gcc-java <= 4.5.2
Conflicts:	gcc-objc <= 4.5.2
Conflicts:	gcc-objc++ <= 4.5.2
  %endif
%endif

Patch0:		gcc-4.6.0-uclibc-ldso-path.patch
Patch1:		gcc-4.6.0-java-nomulti.patch
Patch2:		gcc-4.6.0-make-pdf.patch
Patch3:		gcc-4.6.0-linux32.patch

# https://qa.mandriva.com/show_bug.cgi?id=64082
# https://bugzilla.redhat.com/show_bug.cgi?id=713800
Patch4:		gcc-4.6.1-C-comment.patch

# http://gcc.gnu.org/bugzilla/show_bug.cgi?id=53174
Patch5:		gcc48-pr53174.patch

%description
The gcc package contains the GNU Compiler Collection version %{branch}.

%if %{remove_alternatives}
%pre
if [ -f %{_bindir}/gcc ]; then %{alternatives} --remove-all gcc; fi
%endif

%if %{system_compiler}
%post
  %_install_info gcc.info
  %_install_info gccint.info
  %_install_info gccinstall.info

%preun
  %_remove_install_info gcc.info
  %_remove_install_info gccint.info
  %_remove_install_info gccinstall.info
%endif

%files
%defattr(-,root,root)
%if %{system_compiler}
%{_bindir}/cc
%{_bindir}/c89
%{_bindir}/c99
%{_bindir}/gcc
%{_bindir}/gcov
%{_bindir}/%{_target_platform}-gcc
%{_mandir}/man1/gcc.1*
%{_mandir}/man1/gcov.1*
%{_mandir}/man7/*
%{_localedir}/*/LC_MESSAGES/gcc.mo
%{_infodir}/gcc.info*
%{_infodir}/gccint.info*
%{_infodir}/gccinstall.info*
%{_libdir}/libgcc_s.so
#%{_libdir}/libiberty.a
  %ifarch %{multilib_64}
%{libdir32}/libgcc_s.so
#%{libdir32}/libiberty.a
  %endif
%endif
%{_bindir}/gcc-%{version}
%{_bindir}/%{_target_platform}-gcc-%{version}
%dir %{gccdir}
%{gccdir}/cc1
%{gccdir}/collect2
%{gccdir}/*.o
%{gccdir}/libgcc*.a
%{gccdir}/libgcov.a
%if %{build_lto}
%{gccdir}/lto*
%{gccdir}/liblto*
%endif
%dir %{gccdir}/include
%{gccdir}/include/*.h
%if %{build_java}
%exclude %{gccdir}/include/jawt*.h
%exclude %{gccdir}/include/jni*.h
%exclude %{gccdir}/include/jvm*.h
%endif
%{gccdir}/install-tools
%if %{build_quadmath}
%exclude %{gccdir}/include/quadmath*.h
%endif
%if %{build_gomp}
%exclude %{gccdir}/include/omp*.h
%endif
%if %{build_mudflap}
%exclude %{gccdir}/include/mf-runtime.h
%endif
%ifarch %{multilib_64}
%dir %{gccdir}/32
%{gccdir}/32/*.o
%{gccdir}/32/libgcc*.a
%{gccdir}/32/libgcov.a
%endif
%if %{build_doc}
%doc %{_docdir}/gcc
%endif
%if %{build_check}
%doc test_summary.log
%endif

########################################################################
%if %{build_libgcc}
#-----------------------------------------------------------------------
%package	-n %{libgcc}
Summary:	GNU C library
Group:		System/Libraries
Provides:	libgcc = %{version}-%{release}
%if %{provide_libmajor}
Obsoletes:	libgcc%{gcc_major} < %{version}-%{release}
Provides:	libgcc%{gcc_major} = %{version}-%{release}
%endif
%if %mdkversion <= 201100
Obsoletes:	libgcc3.0 < %{version}-%{release}
Obsoletes:	libgcc3.2 < %{version}-%{release}
Obsoletes:	libgcc4.5 < %{version}-%{release}
%endif

%description	-n %{libgcc}
The %{libgcc_name} package contains GCC shared libraries for gcc %{branch}

%files		-n %{libgcc}
%defattr(-,root,root)
%{_libdir}/libgcc_s.so.*
%ifarch %{multilib_64}
%{libdir32}/libgcc_s.so.*
%endif
#-----------------------------------------------------------------------
# build_libgcc
%endif

########################################################################
%if %{build_plugin}
#-----------------------------------------------------------------------
%package	plugin-devel
Summary:	Headers to build gcc plugins
Group:		Development/C
Obsoletes:	gcc-plugins <= 4.5.2
Requires:	%{name} = %{version}-%{release}

%description	plugin-devel
This package contains header files and other support files
for compiling GCC plugins.  The GCC plugin ABI is currently
not stable, so plugins must be rebuilt any time GCC is updated.

%files		plugin-devel
%defattr(-,root,root,-)
%{gccdir}/gengtype
%{gccdir}/gtype.state
%dir %{gccdir}/plugin
%{gccdir}/plugin/include
#-----------------------------------------------------------------------
# build_plugin
%endif

########################################################################
%if %{system_compiler}
#-----------------------------------------------------------------------
%package	cpp
Summary:	The C Preprocessor
Group:		Development/C
Provides:	cpp = %{version}-%{release}
Requires:	%{name} = %{version}-%{release}
%if %{remove_alternatives}
Requires(pre):	update-alternatives
%endif
Requires(post): /sbin/install-info
Requires(preun): /sbin/install-info

%description	cpp
Cpp is the GNU C-Compatible Compiler Preprocessor.
Cpp is a macro processor which is used automatically
by the C compiler to transform your program before actual
compilation. It is called a macro processor because it allows
you to define macros, abbreviations for longer
constructs.

The C preprocessor provides four separate functionalities:

* Inclusion of header files. These are files of declarations that can be
  substituted into your program.
* Macro expansion. You can define 'macros,' which are abbreviations for 
  arbitrary fragments of C code, and then the C preprocessor will replace
  the macros with their definitions throughout the program.
* Conditional compilation. Using special preprocessing directives,
  you can include or exclude parts of the program according to various
  conditions.
* Line control. If you use a program to combine or rearrange source files
  into an intermediate file which is then compiled, you can use line
  control to inform the compiler about where each source line originated.

%if %{remove_alternatives}
%pre		cpp
if [ -f %{_bindir}/cpp ]; then %{alternatives} --remove-all cpp; fi
%endif

%post		cpp
  %_install_info cpp.info

%preun		cpp
  %_remove_install_info cpp.info

%files		cpp
%defattr(-,root,root)
/lib/cpp
%{_bindir}/cpp
%{_mandir}/man1/cpp.1*
%{_infodir}/cpp*
%if %{build_doc}
%doc %{_docdir}/gcc-cpp
%endif
%{_localedir}/*/LC_MESSAGES/cpplib.mo
#-----------------------------------------------------------------------
# system_compiler
%endif

########################################################################
%if %{build_cxx}
#-----------------------------------------------------------------------
%package	c++
Summary:	C++ support for gcc
Group:		Development/C++
Requires:	%{name} = %{version}-%{release}
%if %{system_compiler}
Requires:	%{libstdcxx_devel} = %{version}
%endif
%if %{remove_alternatives}
Requires(pre):	update-alternatives
%endif
%if %mdkversion <= 201100
Obsoletes:	manbo-mandriva-files-g++
Obsoletes:	manbo-mandriva-files-g++4.4
%endif

%description	c++
This package adds C++ support to the GNU Compiler Collection.
It includes support for most of the current C++ specification,
including templates and exception handling.

%if %{remove_alternatives}
%pre		c++
if [ -f %{_bindir}/c++ ]; then %{alternatives} --remove-all c++; fi
if [ -f %{_bindir}/g++ ]; then %{alternatives} --remove-all g++; fi
%endif

%files		c++
%defattr(-,root,root)
%if %{system_compiler}
%{_bindir}/c++
%{_bindir}/g++
%{_mandir}/man1/g++.1*
%endif
%{_bindir}/c++-%{version}
%{_bindir}/g++-%{version}
%{_bindir}/%{_target_platform}-g++-%{version}
%{gccdir}/cc1plus

#-----------------------------------------------------------------------
%package	-n %{libstdcxx}
Summary:	GNU Standard C++ library
Group:		System/Libraries
Provides:	libstdc++ = %{version}-%{release}
%if %{provide_libmajor}
Obsoletes:	libstdc++%{stdcxx_major} < %{version}-%{release}
Provides:	libstdc++%{stdcxx_major} = %{version}-%{release}
%endif
%if %{build_doc}
BuildRequires:	doxygen
BuildRequires:	graphviz
%endif

%description	-n %{libstdcxx}
The libstdc++ package contains a rewritten standard compliant
GCC Standard C++ Library.

%files		-n %{libstdcxx}
%defattr(-,root,root)
%{_libdir}/libstdc++.so.*
%ifarch %{multilib_64}
%{libdir32}/libstdc++.so.*
%endif
%if %{system_compiler}
%{_localedir}/*/LC_MESSAGES/libstdc++.mo
%endif
%if %{build_doc}
%doc %{_docdir}/libstdc++
%endif

#-----------------------------------------------------------------------
%package	-n %{libstdcxx_devel}
Summary:	Header files and libraries for C++ development
Group:		Development/C++
Requires:	%{libstdcxx} = %{version}-%{release}
Provides:	libstdc++-devel = %{version}-%{release}
%if %{provide_libmajor}
Obsoletes:	libstdc++-devel < %{version}-%{release}
%endif
%if %{obsolete_devmajor}
Obsoletes:	libstdc++4.5-devel
Obsoletes:	libstdc++%{stdcxx_major}-devel
%endif

%description	-n %{libstdcxx_devel}
This is the GNU implementation of the standard C++ libraries.  This
package includes the header files and libraries needed for C++
development. This includes rewritten implementation of STL.

%files		-n %{libstdcxx_devel}
%defattr(-,root,root)
%{_includedir}/c++/%{version}
%{_libdir}/libstdc++.la
%{_libdir}/libstdc++.so
%{_datadir}/gdb/auto-load%{_libdir}/libstdc++.*.py
%ifarch %{multilib_64}
%{libdir32}/libstdc++.la
%{libdir32}/libstdc++.so
%{_datadir}/gdb/auto-load%{libdir32}/libstdc++.*.py
%endif
%{py_puresitedir}/libstdcxx

#-----------------------------------------------------------------------
%package	-n %{libstdcxx_static_devel}
Summary:	Static libraries for the GNU standard C++ library
Group:		Development/C++
Requires:	%{libstdcxx_devel} = %{version}-%{release}
Provides:	libstdc++-static-devel = %{version}-%{release}
%if %{provide_libmajor}
Obsoletes:	libstdc++-static-devel < %{version}-%{release}
%endif
%if %{obsolete_devmajor}
Obsoletes:	libstdc++4.5-static-devel
Obsoletes:	libstdc++%{stdcxx_major}-static-devel
%endif

%description	-n %{libstdcxx_static_devel}
Static libraries for the GNU standard C++ library.

%files		-n %{libstdcxx_static_devel}
%defattr(-,root,root)
%{_libdir}/libstdc++.a
%{_libdir}/libsupc++.a
%{_libdir}/libsupc++.la
%ifarch %{multilib_64}
%{libdir32}/libstdc++.a
%{libdir32}/libsupc++.a
%{libdir32}/libsupc++.la
%endif
#-----------------------------------------------------------------------
# build_cxx
%endif

########################################################################
%if %{build_ada}
#-----------------------------------------------------------------------
%package	gnat
Summary:	Ada 95 support for gcc
Group:		Development/Other
Requires:	%{name} = %{version}-%{release}
Requires:	%{libgnat_devel} = %{version}-%{release}
# no bootstrap support
BuildRequires:	gcc-gnat >= 3.1, libgnat >= 3.1

%description	gnat
GNAT is a GNU Ada 95 front-end to GCC. This package includes development
tools, the documents and Ada 95 compiler.

%post		gnat
for info in _rm ugn -stype; do
    %_install_info gnat${info}.info
done

%preun		gnat
for info in _rm ugn -stype; do
    %_remove_install_info gnat${info}.info
done

%files		gnat
%defattr(-,root,root)
%{_bindir}/gnat*
%if %{build_java}
%exclude %{_bindir}/gnative2ascii
%endif
%{gccdir}/gnat1
%{_infodir}/gnat*
%if %{build_doc}
%doc %{_docdir}/gcc-gnat
%endif

#-----------------------------------------------------------------------
%package	-n %{libgnat}
Summary:	GNU Ada 95 runtime libraries
Group:		System/Libraries
Provides:	libgnat = %{version}-%{release}
%if %{provide_libmajor}
Obsoletes:	libgnat%{gnat_major} < %{version}-%{release}
Provides:	libgnat%{gnat_major} = %{version}-%{release}
%endif
Obsoletes:	gnat-runtime

%description	-n %{libgnat}
GNAT is a GNU Ada 95 front-end to GCC. This package includes shared
libraries, which are required to run programs compiled with the GNAT.

%files		-n %{libgnat}
%defattr(-,root,root)
%{_libdir}/libgnat-%{branch}.so.*
%{_libdir}/libgnarl-%{branch}.so.*
%ifarch %{multilib_64}
%{libdir32}/libgnat-%{branch}.so.*
%{libdir32}/libgnarl-%{branch}.so.*
%endif

#-----------------------------------------------------------------------
%package	-n %{libgnat_devel}
Summary:	GNU Ada 95 libraries
Group:		Development/Other
Requires:	%{libgnat} = %{version}-%{release}
Provides:	libgnat-devel = %{version}-%{release}

%description	-n %{libgnat_devel}
GNAT is a GNU Ada 95 front-end to GCC. This package includes shared
libraries, which are required to compile with the GNAT.

%files		-n %{libgnat_devel}
%defattr(-,root,root)
%{_libdir}/libgnat*.so
%{_libdir}/libgnarl*.so
%{gccdir}/adalib
%{gccdir}/adainclude
%exclude %{gccdir}/adalib/lib*.a
%ifarch %{multilib_64}
%{libdir32}/libgnat*.so
%{libdir32}/libgnarl*.so
%{gccdir}/32/adalib
%{gccdir}/32/adainclude
%exclude %{gccdir}/32/adalib/lib*.a
%endif

#-----------------------------------------------------------------------
%package	-n %{libgnat_static_devel}
Summary:	GNU Ada 95 static libraries
Group:		Development/Other
Requires:	%{libgnat_devel} = %{version}-%{release}
Provides:	libgnat-static-devel = %{version}-%{release}

%description	-n %{libgnat_static_devel}
GNAT is a GNU Ada 95 front-end to GCC. This package includes static
libraries.

%files		-n %{libgnat_static_devel}
%defattr(-,root,root)
%{gccdir}/adalib/lib*.a
%ifarch %{multilib_64}
%{gccdir}/32/adalib/lib*.a
%endif
#-----------------------------------------------------------------------
# build ada
%endif

########################################################################
%if %{build_fortran}
#-----------------------------------------------------------------------
%package	gfortran
Summary:	Fortran 95 support for gcc
Group:		Development/Other
Requires:	%{name} = %{version}-%{release}
Requires:	%{libgfortran_devel} = %{version}-%{release}
%if %{system_compiler}
Requires(post): /sbin/install-info
Requires(preun): /sbin/install-info
%endif
%if %mdkversion <= 201100
Obsoletes:	manbo-mandriva-files-gfortran
Obsoletes:	manbo-mandriva-files-gfortran4.4
%endif

%description	gfortran
The gcc-gfortran package provides support for compiling Fortran
programs with the GNU Compiler Collection.

%if %{system_compiler}
%post		gfortran
  %_install_info gfortran.info

%preun	gfortran
  %_remove_install_info gfortran.info
%endif

%files		gfortran
%defattr(-,root,root)
%if %{system_compiler}
%{_bindir}/gfortran
%{_infodir}/gfortran.info*
%{_mandir}/man1/gfortran.1*
%endif
%{_bindir}/gfortran-%{version}
%{_bindir}/%{_target_platform}-gfortran-%{version}
%{gccdir}/f951
%{gccdir}/finclude
%{gccdir}/libgfortranbegin.*
%ifarch %{multilib_64}
%{gccdir}/32/libgfortranbegin.*
%endif
%if %{build_doc}
%doc %{_docdir}/gcc-gfortran
%endif

#-----------------------------------------------------------------------
%package	-n %{libgfortran}
Summary:	Fortran 95 runtime libraries
Group:		System/Libraries
Provides:	libgfortran = %{version}-%{release}
%if %{provide_libmajor}
Obsoletes:	libgfortran%{gfortran_major} < %{version}-%{release}
Provides:	libgfortran%{gfortran_major} = %{version}-%{release}
%endif
%if %mdkversion <= 201100
Obsoletes:	libgfortran4.5 < %{version}-%{release}
%endif
%if %{build_quadmath}
Requires:	%{libquadmath} = %{version}-%{release}
%endif

%description	-n %{libgfortran}
This package contains Fortran 95 shared library which is needed to run
Fortran 95 dynamically linked programs.

%files		-n %{libgfortran}
%defattr(-,root,root)
%{_libdir}/libgfortran.so.*
%ifarch %{multilib_64}
%{libdir32}/libgfortran.so.*
%endif

#-----------------------------------------------------------------------
%package	-n %{libgfortran_devel}
Summary:	Fortran 95 libraries
Group:		System/Libraries
Requires:	%{libgfortran} = %{version}-%{release}
Provides:	libgfortran-devel = %{version}-%{release}
%if %{build_quadmath}
Requires:	%{libquadmath_devel} = %{version}-%{release}
%endif

%description	-n %{libgfortran_devel}
This package contains Fortran 95 shared library which is needed to
compile Fortran 95 programs.

%files		-n %{libgfortran_devel}
%defattr(-,root,root)
%{_libdir}/libgfortran.la
%{_libdir}/libgfortran.so
%{_libdir}/libgfortran.spec
%ifarch %{multilib_64}
%{libdir32}/libgfortran.la
%{libdir32}/libgfortran.so
%{libdir32}/libgfortran.spec
%endif

#-----------------------------------------------------------------------
%package	-n %{libgfortran_static_devel}
Summary:	Fortran 95 static libraries
Group:		System/Libraries
Requires:	%{libgfortran_devel} = %{version}-%{release}
Provides:	libgfortran-static-devel = %{version}-%{release}

%description	-n %{libgfortran_static_devel}
This package contains Fortran 95 static library which is needed to
compile Fortran 95 programs.

%files		-n %{libgfortran_static_devel}
%defattr(-,root,root)
%{_libdir}/libgfortran.a
%ifarch %{multilib_64}
%{libdir32}/libgfortran.a
%endif
#-----------------------------------------------------------------------
# build fortran
%endif

########################################################################
%if %{build_go}
#-----------------------------------------------------------------------
%package	go
Summary:	Go support for gcc
Group:		Development/Other
Requires:	%{name} = %{version}-%{release}
Requires:	%{libgo_devel} = %{version}-%{release}
%if %{system_compiler}
Requires(post): /sbin/install-info
Requires(preun): /sbin/install-info
%endif

%description	go
The gcc-go package provides support for compiling Go programs
with the GNU Compiler Collection.

%if %{system_compiler}
%post		go
  %_install_info gccgo.info

%preun	go
  %_remove_install_info gccgo.info
%endif

%files		go
%defattr(-,root,root)
%if %{system_compiler}
%{_bindir}/gccgo
%dir %{_libdir}/go
  %ifarch %{multilib_64}
%dir %{libdir32}/go
  %endif
%{_infodir}/gccgo.info*
%{_mandir}/man1/gccgo.1*
%endif
%{_bindir}/gccgo-%{version}
%{_bindir}/%{_target_platform}-gccgo-%{version}
%{gccdir}/go1
%{_libdir}/go/%{version}
%{_libdir}/libgobegin.a
%ifarch %{multilib_64}
%{libdir32}/go/%{version}
%{libdir32}/libgobegin.a
%endif
%if %{build_doc}
%doc %{_docdir}/gcc-go
%endif

#-----------------------------------------------------------------------
%package	-n %{libgo}
Summary:	Go runtime libraries
Group:		System/Libraries
Provides:	libgo = %{version}-%{release}

%description	-n %{libgo}
This package contains Go shared library which is needed to run
Go dynamically linked programs.

%files		-n %{libgo}
%defattr(-,root,root)
%{_libdir}/libgo.so.*
%ifarch %{multilib_64}
%{libdir32}/libgo.so.*
%endif

#-----------------------------------------------------------------------
%package	-n %{libgo_devel}
Summary:	Go development libraries
Group:		Development/Other
Requires:	%{libgo} = %{version}-%{release}
Provides:	libgo-devel = %{version}-%{release}

%description	-n %{libgo_devel}
This package includes libraries and support files for compiling
Go programs.

%files		-n %{libgo_devel}
%defattr(-,root,root)
%{_libdir}/libgo.la
%{_libdir}/libgo.so
%ifarch %{multilib_64}
%{libdir32}/libgo.la
%{libdir32}/libgo.so
%endif

#-----------------------------------------------------------------------
%package	-n %{libgo_static_devel}
Summary:	Static Go libraries
Group:		Development/Other
Requires:	%{libgo_devel} = %{version}-%{release}
Provides:	libgo-static-devel = %{version}-%{release}

%description	-n %{libgo_static_devel}
This package contains static Go libraries.

%files		-n %{libgo_static_devel}
%defattr(-,root,root)
%defattr(-,root,root)
%{_libdir}/libgo.a
%ifarch %{multilib_64}
%{libdir32}/libgo.a
%endif
#-----------------------------------------------------------------------
# build go
%endif

########################################################################
%if %{build_java}
#-----------------------------------------------------------------------
%package	java
Summary:	Java support for GCC
Group:		Development/Java
Requires:	%{name} = %{version}-%{release}
Requires:	%{libgcj_devel} = %{version}-%{release}
Requires:	eclipse-ecj
Requires(post): /sbin/install-info
Requires(preun): /sbin/install-info
BuildRequires:	eclipse-ecj
BuildRequires:	jpackage-utils
BuildRequires:	unzip
BuildRequires:	zip
%if %mdkversion <= 201100
Obsoletes:	manbo-mandriva-files-java
Obsoletes:	manbo-mandriva-files-java4.4
%endif

%description	java
This package adds support for compiling Java(tm) programs and
bytecode into native code.

%post		java
  %_install_info gcj.info

%preun		java
  %_remove_install_info gcj.info

%files java
%defattr(-,root,root,-)
%{_bindir}/gcj
%{_bindir}/gjavah
%{_bindir}/gcjh
%{_bindir}/jcf-dump
%{_mandir}/man1/gcj.1*
%{_mandir}/man1/jcf-dump.1*
%{_mandir}/man1/gjavah.1*
%{_mandir}/man1/gcjh.1*
%{_infodir}/gcj.info*
%{_bindir}/gcj-%{version}
%{_bindir}/%{_target_platform}-gcj-%{version}
%{gccdir}/jc1
%{gccdir}/ecj1
%{gccdir}/jvgenmain
%if %{build_doc}
%doc %{_docdir}/gcc-java
%endif

#-----------------------------------------------------------------------
%package	-n %{libgcj}
Summary:	Java runtime library for gcc
Group:		System/Libraries
Provides:	gcj-tools = %{version}-%{release}
Provides:	libgcj = %{version}-%{release}
Provides:	%{libgcj_bc} = %{version}-%{release}
%if %{provide_libmajor}
Provides:	libgcj%{gcj_major} = %{version}-%{release}
%endif
%if %mdkversion <= 201100
Obsoletes:	libgcj_bc%{gcj_bc_major} < %{version}-%{release}
Provides:	libgcj_bc%{gcj_bc_major} = %{version}-%{release}
Provides:	libgcj%{gcj_major}-base = %{version}-%{release}
Provides:	%{libgcj}-base = %{version}-%{release}
Obsoletes:	gcc-libgcj
Obsoletes:	libgcj4.5 < %{version}-%{release}
Obsoletes:	gcj4.5-tools
Obsoletes:	gcj-tools <= 4.5.2
Obsoletes:	%{mklibname gcj 11}
Obsoletes:	%{mklibname gcj 11}-base
%endif
Requires(post): /sbin/install-info
Requires(preun): /sbin/install-info
Requires:	gtk2 >= 2.4.0
Requires:	glib2 >= 2.4.0
Requires:	libart_lgpl >= 2.1.0
Requires:	zip >= 2.1
BuildRequires:	antlr
BuildRequires:	gtk2-devel >= 2.4.0
BuildRequires:	glib2-devel >= 2.4.0
BuildRequires:	libart_lgpl-devel >= 2.1.0
BuildRequires:	alsa-lib-devel
BuildRequires:	libxtst-devel
BuildRequires:	libxt-devel

%description	-n %{libgcj}
The Java(tm) runtime library. You will need this package to run your Java
programs compiled using the Java compiler from GNU Compiler Collection (gcj).

%post		-n %{libgcj}
  %_install_info cp-tools.info

%preun		-n %{libgcj}
  %_remove_install_info cp-tools.info

%files		-n %{libgcj}
%defattr(-,root,root,-)
%{_bindir}/aot-compile
%{_bindir}/jv-convert
%{_bindir}/gappletviewer
%{_bindir}/gc-analyze
%{_bindir}/gij
%{_bindir}/gjar
%{_bindir}/gjdoc
%{_bindir}/gnative2ascii
%{_bindir}/grmic
%{_bindir}/grmid
%{_bindir}/grmiregistry
%{_bindir}/gtnameserv
%{_bindir}/gkeytool
%{_bindir}/gorbd
%{_bindir}/gserialver
%{_bindir}/gcj-dbtool
%{_bindir}/gjarsigner
%{_bindir}/rebuild-gcj-db
%{_mandir}/man1/aot-compile.1*
%{_mandir}/man1/gappletviewer.1*
%{_mandir}/man1/gc-analyze.1*
%{_mandir}/man1/gjdoc.1*
%{_mandir}/man1/gnative2ascii.1*
%{_mandir}/man1/gjar.1*
%{_mandir}/man1/gjarsigner.1*
%{_mandir}/man1/jv-convert.1*
%{_mandir}/man1/gij.1*
%{_mandir}/man1/grmic.1*
%{_mandir}/man1/grmiregistry.1*
%{_mandir}/man1/gcj-dbtool.1*
%{_mandir}/man1/gkeytool.1*
%{_mandir}/man1/gorbd.1*
%{_mandir}/man1/grmid.1*
%{_mandir}/man1/gserialver.1*
%{_mandir}/man1/gtnameserv.1*
%{_mandir}/man1/rebuild-gcj-db.1*
%{_infodir}/cp-tools.info*
%{_javadir}/libgcj*.jar
%dir %{_libdir}/gcj-%{version}-12
%{_libdir}/gcj-%{version}-12/*.so
%attr(0644,root,root) %verify(not md5 size mtime) %ghost %config(missingok,noreplace) %{_libdir}/gcj-%{version}-12/classmap.db
%{_libdir}/libgcj*.so.*
%{_libdir}/libgij.so.*
%{_libdir}/logging.properties
%{_libdir}/security
%if %{build_pdf}
%doc %{_docdir}/libjava
%endif

#-----------------------------------------------------------------------
%package	-n %{libgcj_devel}
Summary:	Libraries for Java development using GCC
Group:		Development/Java
Provides:	libgcj-devel = %{version}-%{release}
%if %{provide_libmajor}
Obsoletes:	libgcj-devel < %{version}-%{release}
%endif
Requires:	%{libgcj} = %{version}-%{release}
Requires:	zlib-devel
Requires:	awk

%description	-n %{libgcj_devel}
The Java(tm) static libraries and C header files. You will need this
package to compile your Java programs using the GCC Java compiler (gcj).

%files		-n %{libgcj_devel}
%defattr(-,root,root,-)
%{gccdir}/include/gcj
%{gccdir}/include/jawt*.h
%{gccdir}/include/jni*.h
%{gccdir}/include/jvm*.h
%{py_puresitedir}/libjava
%{_libdir}/pkgconfig/libgcj-%{branch}.pc
%{_libdir}/gcj-%{version}-12/*.la
%{_libdir}/libgcj*.spec
%{_libdir}/libgcj*.la
%{_libdir}/libgcj*.so
%{_libdir}/libgij.la
%{_libdir}/libgij.so

#-----------------------------------------------------------------------
%package	-n %{libgcj_static_devel}
Summary:	Static Libraries for Java development using GCC
Group:		Development/Other
Requires:	%{libgcj_devel} = %{version}-%{release}
Provides:	libgcj-static-devel = %{version}-%{release}
%if %{provide_libmajor}
Obsoletes:	libgcj-static-devel < %{version}-%{release}
%endif

%description	-n %{libgcj_static_devel}
Static Libraries for Java development using GCC.

%files		-n %{libgcj_static_devel}
%defattr(-,root,root)
%{_libdir}/libgcj*.a
%{_libdir}/libgij.a
%{_libdir}/gcj-%{version}-12/*.a

#-----------------------------------------------------------------------
%package	-n libgcj%{gcj_major}-src
Summary:	Java library sources
Group:		Development/Java
Provides:	libgcj-src = %{version}-%{release}
Requires:	%{libgcj} = %{version}-%{release}

%description	-n libgcj%{gcj_major}-src
The Java(tm) runtime library sources.

%files	-n libgcj%{gcj_major}-src
%defattr(-,root,root)
%{_javadir}/src-%{version}.zip
#-----------------------------------------------------------------------
# build java
%endif

########################################################################
%if %{build_objc}
#-----------------------------------------------------------------------
%package	objc
Summary:	Objective-C support for GCC
Group:		Development/Other
Requires:	%{name} = %{version}-%{release}
Requires:	%{libobjc_devel} = %{version}-%{release}

%description	objc
gcc-objc provides Objective-C support for the GCC.
Mainly used on systems running NeXTSTEP, Objective-C is an
object-oriented derivative of the C language.

%files		objc
%defattr(-,root,root)
%{gccdir}/cc1obj

#-----------------------------------------------------------------------
%package	-n %{libobjc}
Summary:	Objective-C runtime
Group:		System/Libraries
Provides:	libobjc = %{version}-%{release}
%if %{provide_libmajor}
Obsoletes:	libobjc%{objc_major} < %{version}-%{release}
Provides:	libobjc%{objc_major} = %{version}-%{release}
%endif
%if %mdkversion <= 201100
Obsoletes:	libobjc3.0 < %{version}-%{release}
Obsoletes:	libobjc3.1 < %{version}-%{release}
%endif

%description	-n %{libobjc}
This package contains Objective-C shared library which is needed to run
Objective-C dynamically linked programs.

%files		-n %{libobjc}
%defattr(-,root,root)
%{_libdir}/libobjc.so.*
%ifarch %{multilib_64}
%{libdir32}/libobjc.so.*
%endif

#-----------------------------------------------------------------------
%package	-n %{libobjc_devel}
Summary:	Objective-C development libraries
Group:		Development/Other
Requires:	%{libobjc} = %{version}-%{release}
Provides:	libobjc-devel = %{version}-%{release}
%if %{provide_libmajor}
Obsoletes:	libobjc-devel < %{version}-%{release}
%endif

%description	-n %{libobjc_devel}
This package includes libraries and support files for compiling
Objective-C programs.

%files		-n %{libobjc_devel}
%defattr(-,root,root)
%{_libdir}/libobjc.la
%{_libdir}/libobjc.so
%{gccdir}/include/objc
%ifarch %{multilib_64}
%{libdir32}/libobjc.la
%{libdir32}/libobjc.so
%endif

#-----------------------------------------------------------------------
%package	-n %{libobjc_static_devel}
Summary:	Static Objective-C libraries
Group:		Development/Other
Requires:	%{libobjc_devel} = %{version}-%{release}
Provides:	libobjc-static-devel = %{version}-%{release}

%description	-n %{libobjc_static_devel}
This package contains static Objective-C libraries.

%files		-n %{libobjc_static_devel}
%defattr(-,root,root)
%{_libdir}/libobjc.a
%ifarch %{multilib_64}
%{libdir32}/libobjc.a
%endif
#-----------------------------------------------------------------------
# build objc
%endif

########################################################################
%if %{build_objcxx}
#-----------------------------------------------------------------------
%package	objc++
Summary:	Objective-C++ support for GCC
Group:		Development/Other
Requires:	gcc-objc = %{version}-%{release}

%description	objc++
gcc++-objc provides Objective-C++ support for the GCC.

%files		objc++
%defattr(-,root,root)
%{gccdir}/cc1objplus
#-----------------------------------------------------------------------
# build objcxx
%endif

########################################################################
%if %{build_ffi}
#-----------------------------------------------------------------------
%package	-n %{libffi}
Summary:	GCC support library for FFI
Group:		System/Libraries
Provides:	libffi = %{version}-%{release}
%if %{provide_libmajor}
Obsoletes:	libffi%{ffi_major} < %{version}-%{release}
Provides:	libffi%{ffi_major} = %{version}-%{release}
%endif

%description	-n %{libffi}
This package contains GCC shared support library which is needed
for FFI support.

%files		-n %{libffi}
%defattr(-,root,root)
%{_libdir}/libffi.so.*
%ifarch %{multilib_64}
%{libdir32}/libffi.so.*
%endif

#-----------------------------------------------------------------------
%package	-n %{libffi_devel}
Summary:	GCC development for FFI
Group:		Development/C
Requires:	%{libffi} = %{version}-%{release}
Provides:	libffi-devel = %{version}-%{release}
%if %{provide_libmajor}
Obsoletes:	libffi-devel < %{version}-%{release}
%endif
%if %{obsolete_devmajor}
Obsoletes:	libffi%{ffi_major}-devel < %{version}-%{release}
%endif
Requires:	%{name} = %{version}-%{release}
Requires(post): /sbin/install-info
Requires(preun): /sbin/install-info

%description	-n %{libffi_devel}
This package contains GCC development which is needed
to compile FFI support.

%post		-n %{libffi_devel}
  %_install_info libffi.info

%preun		-n %{libffi_devel}
  %_remove_install_info libffi.info

%files		-n %{libffi_devel}
%defattr(-,root,root)
%{_libdir}/libffi.la
%{_libdir}/libffi.so
%ifarch %{multilib_64}
%{libdir32}/libffi.la
%{libdir32}/libffi.so
%endif
%if %{system_compiler}
%{_mandir}/man3/*.3*
%endif

#-----------------------------------------------------------------------
%package	-n %{libffi_static_devel}
Summary:	GCC FFI static library
Group:		Development/C
Requires:	%{libffi_devel} = %{version}-%{release}
Provides:	libffi-static-devel = %{version}-%{release}
%if %{provide_libmajor}
Obsoletes:	libffi-static-devel < %{version}-%{release}
%endif

%description	-n %{libffi_static_devel}
This package contains GCC static libraries which are needed
to compile FFI support.

%files		-n %{libffi_static_devel}
%defattr(-,root,root)
%{_libdir}/libffi.a
%ifarch %{multilib_64}
%{libdir32}/libffi.a
%endif
#-----------------------------------------------------------------------
# build ffi
%endif

########################################################################
%if %{build_quadmath}
#-----------------------------------------------------------------------
%package	-n %{libquadmath}
Summary:	GCC __float128 shared support library
Group:		System/Libraries
%if %{provide_libmajor}
Obsoletes:	libquadmath%{quadmath_major} < %{version}-%{release}
Provides:	libquadmath%{quadmath_major} = %{version}-%{release}
%endif
Provides:	libquadmath = %{version}-%{release}

%description	-n %{libquadmath}
This package contains GCC shared support library which is needed
for __float128 math support and for Fortran REAL*16 support.

%files		-n %{libquadmath}
%defattr(-,root,root)
%{_libdir}/libquadmath.so.*
%ifarch %{multilib_64}
%{libdir32}/libquadmath.so.*
%endif

#-----------------------------------------------------------------------
%package	-n %{libquadmath_devel}
Summary:	GCC __float128 support
Group:		Development/C
Requires:	%{name} = %{version}-%{release}
Requires:	%{libquadmath} = %{version}-%{release}
Provides:	libquadmath-devel = %{version}-%{release}
Requires(post): /sbin/install-info
Requires(preun): /sbin/install-info

%description	-n %{libquadmath_devel}
This package contains support for building Fortran programs using
REAL*16 and programs using __float128 math.

%post		-n %{libquadmath_devel}
  %_install_info libquadmath.info

%preun		-n %{libquadmath_devel}
  %_remove_install_info libquadmath.info

%files		-n %{libquadmath_devel}
%defattr(-,root,root)
%{_libdir}/libquadmath.la
%{_libdir}/libquadmath.so
%ifarch %{multilib_64}
%{libdir32}/libquadmath.la
%{libdir32}/libquadmath.so
%endif
%if %{system_compiler}
%{_infodir}/libquadmath.info*
%endif
%{gccdir}/include/quadmath*.h
%if %{build_pdf}
%doc %{_docdir}/libquadmath
%endif

#-----------------------------------------------------------------------
%package	-n %{libquadmath_static_devel}
Summary:	Static libraries for __float128 support
Group:		Development/C
Requires:	%{libquadmath_devel} = %{version}-%{release}
Provides:	libquadmath-static-devel = %{version}-%{release}

%description	-n %{libquadmath_static_devel}
This package contains static libraries for building Fortran programs
using REAL*16 and programs using __float128 math.

%files		-n %{libquadmath_static_devel}
%defattr(-,root,root)
%{_libdir}/libquadmath.a
%ifarch %{multilib_64}
%{libdir32}/libquadmath.a
%endif
#-----------------------------------------------------------------------
# build quadmath
%endif

########################################################################
%if %{build_gomp}
#-----------------------------------------------------------------------
%package	-n %{libgomp}
Summary:	GCC OpenMP v3.0 shared support library
Group:		System/Libraries
Provides:	libgomp = %{version}-%{release}
%if %{provide_libmajor}
Obsoletes:	libgomp%{gomp_major} < %{version}-%{release}
Provides:	libgomp%{gomp_major} = %{version}-%{release}
%endif

%description	-n %{libgomp}
This package contains GCC shared library which is needed
for OpenMP v3.0 support.

%files		-n %{libgomp}
%defattr(-,root,root)
%{_libdir}/libgomp.so.*
%ifarch %{multilib_64}
%{libdir32}/libgomp.so.*
%endif

#-----------------------------------------------------------------------
%package	-n %{libgomp_devel}
Summary:	GCC OpenMP v3.0 development support
Group:		Development/C
Requires:	%{name} = %{version}-%{release}
Requires:	%{libgomp} = %{version}-%{release}
Provides:	libgomp-devel = %{version}-%{release}
%if %{provide_libmajor}
Obsoletes:	libgomp-devel < %{version}-%{release}
%endif
Requires(post): /sbin/install-info
Requires(preun): /sbin/install-info

%description	-n %{libgomp_devel}
This package contains GCC development which is needed
to compile OpenMP v3.0 support.

%post		-n %{libgomp_devel}
  %_install_info libgomp.info

%preun		-n %{libgomp_devel}
  %_remove_install_info libgomp.info

%files		-n %{libgomp_devel}
%defattr(-,root,root)
%{_libdir}/libgomp.la
%{_libdir}/libgomp.so
%{_libdir}/libgomp.spec
%ifarch %{multilib_64}
%{libdir32}/libgomp.la
%{libdir32}/libgomp.so
%{libdir32}/libgomp.spec
%endif
%if %{system_compiler}
%{_infodir}/libgomp.info*
%endif
%{gccdir}/include/omp*.h
%if %{build_pdf}
%doc %{_docdir}/libgomp
%endif

#-----------------------------------------------------------------------
%package	-n %{libgomp_static_devel}
Summary:	GCC OpenMP v3.0 static library
Group:		Development/C
Requires:	%{libgomp_devel} = %{version}-%{release}
Provides:	libgomp-static-devel = %{version}-%{release}
%if %{provide_libmajor}
Obsoletes:	libgomp-static-devel < %{version}-%{release}
%endif

%description	-n %{libgomp_static_devel}
This package contains GCC static libraries which are needed
to compile OpenMP v3.0 support.

%files		-n %{libgomp_static_devel}
%defattr(-,root,root)
%{_libdir}/libgomp.a
%ifarch %{multilib_64}
%{libdir32}/libgomp.a
%endif
#-----------------------------------------------------------------------
# build gomp
%endif

########################################################################
%if %{build_mudflap}
#-----------------------------------------------------------------------
%package	-n %{libmudflap}
Summary:	GCC mudflap shared support libraries
Group:		System/Libraries
Provides:	libmudflap = %{version}-%{release}
%if %{provide_libmajor}
Obsoletes:	libmudflap%{mudflap_major} < %{version}-%{release}
Provides:	libmudflap%{mudflap_major} = %{version}-%{release}
%endif

%description	-n %{libmudflap}
This package contains GCC shared libraries which are needed
for mudflap support.

For front-ends that support it (C and C++), instrument all risky
pointer/array dereferencing operations, some standard library
string/heap functions, and some other associated constructs with
range/validity tests.  Modules so instrumented should be immune to
buffer overflows, invalid heap use, and some other classes of C/C++
programming errors.

%files		-n %{libmudflap}
%defattr(-,root,root)
%{_libdir}/libmudflap.so.*
%{_libdir}/libmudflapth.so.*
%ifarch %{multilib_64}
%{libdir32}/libmudflap.so.*
%{libdir32}/libmudflapth.so.*
%endif

#-----------------------------------------------------------------------
%package	-n %{libmudflap_devel}
Summary:	GCC mudflap development support
Group:		Development/C
Requires:	%{name} = %{version}-%{release}
Requires:	%{libmudflap} = %{version}-%{release}
Provides:	libmudflap-devel = %{version}-%{release}
%if %{provide_libmajor}
Obsoletes:	libmudflap-devel < %{version}-%{release}
%endif

%description	-n %{libmudflap_devel}
This package contains GCC libraries which are needed
to compile mudflap support.

%files		-n %{libmudflap_devel}
%defattr(-,root,root)
%{_libdir}/libmudflap.la
%{_libdir}/libmudflap.so
%{_libdir}/libmudflapth.la
%{_libdir}/libmudflapth.so
%ifarch %{multilib_64}
%{libdir32}/libmudflap.la
%{libdir32}/libmudflap.so
%{libdir32}/libmudflapth.la
%{libdir32}/libmudflapth.so
%endif
%{gccdir}/include/mf-runtime.h

#-----------------------------------------------------------------------
%package	-n %{libmudflap_static_devel}
Summary:	GCC mudflap static libraries
Group:		Development/C
Requires:	%{libmudflap_devel} = %{version}-%{release}
Provides:	libmudflap-static-devel = %{version}-%{release}
%if %{provide_libmajor}
Obsoletes:	libmudflap-static-devel < %{version}-%{release}
%endif

%description	-n %{libmudflap_static_devel}
This package contains GCC static libraries which are needed
to compile mudflap support.

%files		-n %{libmudflap_static_devel}
%defattr(-,root,root)
%{_libdir}/libmudflap.a
%{_libdir}/libmudflapth.a
%ifarch %{multilib_64}
%{libdir32}/libmudflap.a
%{libdir32}/libmudflapth.a
%endif
#-----------------------------------------------------------------------
# build mudflap
%endif

########################################################################
%if %{build_ssp}
#-----------------------------------------------------------------------
%package	-n %{libssp}
Summary:	GCC SSP shared support library
Group:		System/Libraries
Provides:	libssp = %{version}-%{release}
%if %{provide_libmajor}
Obsoletes:	libssp%{ssp_major} < %{version}-%{release}
Provides:	libssp%{ssp_major} = %{version}-%{release}
%endif

%description	-n %{libssp}
%description -n %{libssp_name}
This package contains GCC shared support library which is needed
for SSP support.

%files		-n %{libssp}
%defattr(-,root,root)
%{_libdir}/libssp.so.*
%ifarch %{multilib_64}
%{libdir32}/libssp.so.*
%endif

#-----------------------------------------------------------------------
%package	-n %{libssp_devel}
Summary:	GCC SSP development support
Group:		Development/C
Requires:	%{name} = %{version}-%{release}
Requires:	%{libssp} = %{version}-%{release}
Provides:	libssp-devel = %{version}-%{release}
%if %{provide_libmajor}
Obsoletes:	libssp-devel < %{version}-%{release}
%endif

%description	-n %{libssp_devel}
This package contains GCC libraries which are needed
to compile SSP support.

%files		-n %{libssp_devel}
%defattr(-,root,root)
%{_libdir}/libssp.la
%{_libdir}/libssp.so
%ifarch %{multilib_64}
%{libdir32}/libmssp.la
%{libdir32}/libmssp.so
%endif
%{gccdir}/include/ssp

#-----------------------------------------------------------------------
%package	-n %{libssp_static_devel}
Summary:	GCC SSP static libraries
Group:		Development/C
Requires:	%{libssp_devel} = %{version}-%{release}
Provides:	libssp-static-devel = %{version}-%{release}
%if %{provide_libmajor}
Obsoletes:	libssp-static-devel < %{version}-%{release}
%endif

%description	-n %{libssp_static_devel}
This package contains GCC static libraries which are needed
to compile SSP support.

%files		-n %{libssp_static_devel}
%defattr(-,root,root)
%{_libdir}/libssp_nonshared.a
%ifarch %{multilib_64}
%{libdir32}/libssp_nonshared.a
%endif
#-----------------------------------------------------------------------
# build ssp
%endif

########################################################################
%prep
%setup -q -n gcc-%{version}%{snapshot}

%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p0

echo %{vendor} > gcc/DEV-PHASE

#-----------------------------------------------------------------------
%build
OPT_FLAGS=`echo %{optflags} |					\
	sed	-e 's/\(-Wp,\)\?-D_FORTIFY_SOURCE=[12]//g'	\
		-e 's/-m\(31\|32\|64\)//g'			\
		-e 's/-fstack-protector//g'			\
		-e 's/--param=ssp-buffer-size=4//'		\
		-e 's/-pipe//g'`
OPT_FLAGS=`echo "$OPT_FLAGS" | sed -e 's/[[:blank:]]\+/ /g'`

# FIXME debugedit
[ ! -z "$TMP" ] && export TMP=`echo $TMP | sed -e 's|/$||'`
[ ! -z "x$TMPDIR" ] && export TMPDIR=`echo $TMPDIR | sed -e 's|/$||'`

LANGUAGES=c
%if %{build_ada}
    LANGUAGES="$LANGUAGES,ada"
%endif
%if %{build_cxx}
    LANGUAGES="$LANGUAGES,c++"
%endif
%if %{build_fortran}
    LANGUAGES="$LANGUAGES,fortran"
%endif
%if %{build_go}
    LANGUAGES="$LANGUAGES,go"
%endif
%if %{build_java}
    LANGUAGES="$LANGUAGES,java"
%endif
%if %{build_lto}
    LANGUAGES="$LANGUAGES,lto"
%endif
%if %{build_objc}
    LANGUAGES="$LANGUAGES,objc"
%endif
%if %{build_objcxx}
    LANGUAGES="$LANGUAGES,obj-c++"
%endif

CC=%{__cc}							\
CFLAGS="$OPT_FLAGS"						\
CXXFLAGS="$OPT_FLAGS"						\
GCJFLAGS="$OPT_FLAGS"						\
TCFLAGS="$OPT_FLAGS"						\
XCFLAGS="$OPT_FLAGS"						\
%configure2_5x							\
%if !%{build_java}
	--disable-libgcj					\
%else
	--disable-libjava-multilib				\
	--with-java-home=%{java_home}				\
	--with-ecj-jar=%{_datadir}/java/eclipse-ecj.jar		\
	--enable-java-awt=gtk					\
	--enable-gtk-cairo					\
%endif
%if !%{build_cloog}
	--without-cloog						\
	--without-ppl						\
%else
	--with-cloog						\
	--with-ppl						\
	--enable-cloog-backend=ppl				\
%endif
%if !%{build_ffi}
	--disable-libffi					\
%endif
%if !%{build_gomp}
	--disable-libgomp					\
%endif
%if !%{build_quadmath}
	--disable-libquadmath					\
  %if %{build_fortran}
	--disable-libquadmath-support				\
  %endif
%endif
%if !%{build_mudflap}
	--disable-libmudflap					\
%endif
%if !%{build_ssp}
	--disable-libssp					\
%endif
	--disable-libunwind-exceptions				\
	--disable-werror					\
	--enable-__cxa_atexit					\
%if %{system_compiler}
	--enable-bootstrap					\
%endif
	--enable-checking=release				\
	--enable-gnu-unique-object				\
	--enable-languages="$LANGUAGES"				\
	--enable-linker-build-id				\
%if !%{build_plugin}
	--disable-plugin					\
%else
	--enable-plugin						\
%endif
	--enable-shared						\
%if !%{system_compiler}
	--disable-static					\
%endif
	--enable-threads=posix					\
	--with-system-zlib					\
	--with-bugurl=https://qa.mandriva.com/			\
%ifarch %{ix86} x86_64
	--with-tune=generic					\
%endif
%ifarch %{ix86}
	--with-arch=i686					\
%endif
%ifarch x86_64
	--with-arch_32=i686					\
%endif
%ifarch armv5te
	--with-arch=armv5te					\
%endif
	--host=%{_target_platform}				\
	--target=%{_target_platform}

%if %{system_compiler}
GCJFLAGS="$OPT_FLAGS"						\
%make BOOT_CFLAGS="$OPT_FLAGS" profiledbootstrap
%else
%make
%endif

%if %{build_pdf}
%make pdf
%endif

%if %{build_doc}
    pushd host-%{_target_platform}/gcc
	%make html
	%if %{build_pdf}
	    %make pdf
	%endif
    popd
%endif

#-----------------------------------------------------------------------
%if %{build_check}
%check
echo ====================TESTING=========================
%{_bindir}/time %make -k check || true
echo "XXX check time above XXX"
contrib/test_summary > test_summary.log
echo ====================TESTING END=====================
%endif

#-----------------------------------------------------------------------
%install
%makeinstall_std

%if %{build_java}
    %make							\
	DESTDIR=%{buildroot}					\
	JAR=$PWD/%{_target_platform}/libjava/scripts/jar	\
	-C %{_target_platform}/libjava				\
	install-src.zip
%endif

# configure python dir option does not cover libstdc++ and needs to remove
# /usr prefix for libjava
mkdir -p %{buildroot}%{py_puresitedir}
if [ -d %{buildroot}%{_datadir}/gcc-%{version}/python ]; then
    mv -f %{buildroot}%{_datadir}/gcc-%{version}/python/*		\
	%{buildroot}%{py_puresitedir}
    rm -fr %{buildroot}%{_datadir}/gcc-%{version}
    %if %{build_java}
    perl -pi -e 's|%{_datadir}/gcc-%{version}/python|%{py_puresitedir}|;' \
	%{buildroot}%{_bindir}/aot-compile
    %endif
fi

pushd %{buildroot}%{_bindir}
%if %{system_compiler}
    mkdir -p %{buildroot}/lib
    ln -sf %{_bindir}/cpp %{buildroot}/lib/cpp
    cp -fa %{SOURCE4} %{SOURCE5} %{buildroot}%{_bindir}
    ln -sf %{_target_platform}-gcc-%{version} %{buildroot}%{_bindir}/cc
%else
    rm -f %{buildroot}%{_bindir}/cpp
%endif

    LANGUAGES="gcc g++ gcc gccgo gcj gfortran"
    for lang in $LANGUAGES; do
	if [ -f %{_target_platform}-$lang ]; then
	    mv -f %{_target_platform}-$lang{,-%{version}}
	    rm -f $lang
	    ln -sf %{_target_platform}-$lang-%{version} $lang-%{version}
	%if %{system_compiler}
		ln -sf %{_target_platform}-$lang-%{version} $lang
	elif [ -f %{_target_platform}-$lang-%{version} ]; then
		ln -sf %{_target_platform}-$lang-%{version} %{_target_platform}-$lang
	%endif
	fi
    done

%if %{build_cxx}
    rm -f c++ %{_target_platform}-c++{,-%{version}}
    ln -sf %{_target_platform}-g++-%{version} c++-%{version}
    %if %{system_compiler}
	ln -sf %{_target_platform}-g++-%{version} c++
    %endif
    mkdir -p %{buildroot}%{_datadir}/gdb/auto-load%{_libdir}
    mv -f %{buildroot}%{_libdir}/libstdc++.so.*.py		\
	%{buildroot}%{_datadir}/gdb/auto-load%{_libdir}
    perl -pi -e 's|%{_datadir}/gcc-%{version}/python|%{py_puresitedir}|;' \
	%{buildroot}%{_datadir}/gdb/auto-load%{_libdir}/libstdc++.*.py
    %ifarch %{multilib_64}
	mkdir -p %{buildroot}%{_datadir}/gdb/auto-load%{libdir32}
	mv -f %{buildroot}%{libdir32}/libstdc++.so.*.py		\
	%{buildroot}%{_datadir}/gdb/auto-load%{libdir32}
	perl -pi -e 's|%{_datadir}/gcc-%{version}/python|%{py_puresitedir}|;' \
	    %{buildroot}%{_datadir}/gdb/auto-load%{libdir32}/libstdc++.*.py
    %endif
%endif
popd

%if %{build_ada}
    for lib in libgnarl libgnat; do
	rm -f	%{buildroot}%{_libdir}/$lib.so
	rm -f	%{buildroot}%{gccdir}/adalib/$lib.so
	mv -f	%{buildroot}%{gccdir}/adalib/$lib-%{branch}.so		\
		%{buildroot}%{_libdir}/$lib-%{branch}.so.1
	ln -sf	$lib-%{branch}.so.1 %{buildroot}%{_libdir}/$lib-%{branch}.so
	ln -sf	$lib-%{branch}.so.1 %{buildroot}%{_libdir}/$lib.so
    %ifarch %{multilib_64}
	rm -f %{buildroot}%{libdir32}/$lib.so
	rm -f	%{buildroot}%{gccdir}/32/adalib/$lib.so
	mv -f	%{buildroot}%{gccdir}/32/adalib/$lib-%{branch}.so	\
		%{buildroot}%{libdir32}/$lib-%{branch}.so.1
	ln -sf	$lib-%{branch}.so.1 %{buildroot}%{libdir32}/$lib-%{branch}.so
	ln -sf	$lib-%{branch}.so.1 %{buildroot}%{libdir32}/$lib.so
    %endif
    done
%endif

mv -f %{buildroot}%{gccdir}/include{-fixed,}/syslimits.h
mv -f %{buildroot}%{gccdir}/include{-fixed,}/limits.h
rm -fr %{buildroot}%{gccdir}/include-fixed
rm -fr %{buildroot}%{gccdir}/install-tools/include

%if !%{system_compiler}
    rm -fr %{buildroot}%{_infodir}
    rm -fr %{buildroot}%{_mandir}
    rm -fr %{buildroot}%{_localedir}
    rm -f %{buildroot}%{_bindir}/gcov
    rm -f %{buildroot}%{_libdir}/libgcc_s.so
    %ifarch %{multilib_64}
	rm -f %{buildroot}%{libdir32}/libgcc_s.so
    %endif
    %if !%{build_libgcc}
	rm -f %{buildroot}%{_libdir}/libgcc_s.so.*
	%ifarch %{multilib_64}
	    rm -f %{buildroot}%{libdir32}/libgcc_s.so.*
	%endif
    %endif
%endif
rm -f %{buildroot}%{_libdir}/libiberty.a
rm -f %{buildroot}%{libdir32}/libiberty.a

%if %{build_doc}
    %if %{build_cxx}
    mkdir -p %{buildroot}%{_docdir}/libstdc++
    cp -far libstdc++-v3/doc/html %{buildroot}%{_docdir}/libstdc++
    %endif
    pushd host-%{_target_platform}/gcc/HTML/gcc-%{version}
	mkdir -p %{buildroot}%{_docdir}/gcc/html
	for doc in gcc gccinstall gccint; do
	    cp -far $doc %{buildroot}%{_docdir}/gcc/html
	done
	%if %{system_compiler}
	mkdir -p %{buildroot}%{_docdir}/gcc-cpp/html
	for doc in cpp cppinternals; do
	    cp -far $doc %{buildroot}%{_docdir}/gcc-cpp/html
	done
	%endif
	%if %{build_fortran}
	mkdir -p %{buildroot}%{_docdir}/gcc-gfortran/html
	cp -far gfortran %{buildroot}%{_docdir}/gcc-gfortran/html
	%endif
	%if %{build_go}
	mkdir -p %{buildroot}%{_docdir}/gcc-go/html
	cp -far go %{buildroot}%{_docdir}/gcc-go/html
	%endif
	%if %{build_java}
	mkdir -p %{buildroot}%{_docdir}/gcc-java/html
	cp -far java %{buildroot}%{_docdir}/gcc-java/html
	%endif
    popd
    %if %{build_pdf}
    pushd host-%{_target_platform}/gcc/doc
	for doc in gcc.pdf gccinstall.pdf gccint.pdf; do
	    install -m 0644 $doc %{buildroot}%{_docdir}/gcc/$doc
	done
	%if %{system_compiler}
	for doc in cpp.pdf cppinternals.pdf; do
	    install -m 0644 $doc %{buildroot}%{_docdir}/gcc-cpp/$doc
	done
	%endif
	%if %{build_ada}
	mkdir -p %{buildroot}%{_docdir}/gcc-gnat
	for doc in gnat_ugn.pdf gnat_rm.pdf gnat-style.pdf; do
	    install -m 0644 $doc %{buildroot}%{_docdir}/gcc-gnat/$doc
	done
	%endif
	%if %{build_fortran}
	for doc in gfc-internals.pdf gfortran.pdf; do
	    install -m 0644 $doc %{buildroot}%{_docdir}/gcc-gfortran/$doc
	done
	%endif
	%if %{build_go}
	install -m 0644 -D gccgo.pdf %{buildroot}%{_docdir}/gcc-go/gccgo.pdf
	%endif
	%if %{build_java}
	install -m 0644 -D gcj.pdf %{buildroot}%{_docdir}/gcc-java/gcj.pdf
	%endif
    popd
    pushd %{_target_platform}
	%if %{build_gomp}
	install -m 0644 -D libgomp/libgomp.pdf %{buildroot}%{_docdir}/libgomp/libgomp.pdf
	%endif
	%if %{build_quadmath}
	install -m 0644 -D libquadmath/libquadmath.pdf %{buildroot}%{_docdir}/libquadmath/libquadmath.pdf
	%endif
	%if %{build_java}
	install -m 0644 -D libjava/classpath/doc/cp-tools.pdf %{buildroot}%{_docdir}/libjava/cp-tools.pdf
	%endif
    popd
    %endif
%endif

# https://qa.mandriva.com/show_bug.cgi?id=63587
%if %{build_plugin}
    pushd host-%{_target_platform}
	cp -fpa gcc/build/gengtype %{buildroot}%{gccdir}
	cp -fpa gcc/gtype.state %{buildroot}%{gccdir}
    popd
%endif

#-----------------------------------------------------------------------
%clean
rm -fr %{buildroot}




%changelog
* Thu May 03 2012 Oden Eriksson <oeriksson@mandriva.com> 4.6.1-3.3
- built for updates

* Wed May 02 2012 Paulo Andrade <pcpa@mandriva.com.br> 4.6.1-3.2
+ Revision: 795118
- Correct gcc regression (#65540)

* Sat Sep 17 2011 Security Team <security@mandriva.com> 4.6.1-3.1
+ Revision: 700163
- built for updates

  + Paulo Andrade <pcpa@mandriva.com.br>
    - Avoid macro expansion problem with -C option (#64082)

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - add obsoletes on manbo-mandriva-files-*4.4

* Tue Jun 28 2011 Paulo Andrade <pcpa@mandriva.com.br> 4.6.1-2
+ Revision: 687613
- Update to gcc-4.6.1 release.
- Install gengtype and gtype.state in plugin-devel
- Tune arm build to default to build armv5te binaries

  + Alexandre Lissy <alissy@mandriva.com>
    - Preparing for a separate gcc-plugin-melt package: removal from gcc's spec

* Wed Jun 22 2011 Paulo Andrade <pcpa@mandriva.com.br> 4.6.1-1
+ Revision: 686626
- Update to gcc-4.6.1-RC-20110620 (first 4.6.1 release candidate)

* Mon Jun 20 2011 Paulo Andrade <pcpa@mandriva.com.br> 4.6.0-15
+ Revision: 686097
- Update to LATEST-4.6 snapshot 20110617.

* Sun Jun 12 2011 Paulo Andrade <pcpa@mandriva.com.br> 4.6.0-14
+ Revision: 684298
- Update to LATEST-4.6 snapshot 20110610.
- Correct install of gdb auto-load libstdc++ python scripts
- Add %%{vendor} as gcc/DEV-PHASE to better identify gcc version
- Make conflicts for clean update conditional to system compiler.
- Make multi precision libraries as global build requires.

* Sat Jun 04 2011 Paulo Andrade <pcpa@mandriva.com.br> 4.6.0-13
+ Revision: 682742
- Update to latest gcc 4.6 snapshot
- Start adding diff to previous snapshot to source rpm

* Sun May 29 2011 Paulo Andrade <pcpa@mandriva.com.br> 4.6.0-12
+ Revision: 681610
- Update to latest gcc 4.6 branch snapshot

* Mon May 23 2011 Paulo Andrade <pcpa@mandriva.com.br> 4.6.0-11
+ Revision: 677474
- Update to gcc 4.6 snapshot 20110520
- Enable back java build

* Sun May 15 2011 Paulo Andrade <pcpa@mandriva.com.br> 4.6.0-10
+ Revision: 674774
- Update to gcc-4.6-20110513

* Mon May 09 2011 Paulo Andrade <pcpa@mandriva.com.br> 4.6.0-9
+ Revision: 672715
- Update to gcc-4.6 20110506 snapshot
- Update to melt-0.7 gcc-4.6 plugin
- Remove gfortran patch as better correction is in gcc 4.6 branch

* Thu Apr 28 2011 Paulo Andrade <pcpa@mandriva.com.br> 4.6.0-8
+ Revision: 660101
- Update to LATEST-4.6 snapshot
- Update to LATEST-4.6 snapshot
- Reimplement Mandriva patch to pass -m32 if under a 32 bit personality
- Update to latest melt for gcc 4.6 plugin release candidate

* Tue Apr 19 2011 Paulo Andrade <pcpa@mandriva.com.br> 4.6.0-7
+ Revision: 655946
- Synchronize with upstream gcc 4.6 branch
- Rediff custom patches and/or patches only in trunk

* Sat Apr 16 2011 Paulo Andrade <pcpa@mandriva.com.br> 4.6.0-6
+ Revision: 653868
- Add gcc-plugin-devel as build requires of gcc-plugin-melt
- Add correction to bugzilla #63047 from upstream related bug report
- Add missing compiler symlink to main package
- Make build of plugin support conditional
- Build gcc melt rc3 plugin for gcc-4.6.0

* Mon Apr 11 2011 Paulo Andrade <pcpa@mandriva.com.br> 4.6.0-5
+ Revision: 652708
- Obsolete manbo-mandriva-files-* to avoid broken compiler symlinks

* Sun Apr 10 2011 Paulo Andrade <pcpa@mandriva.com.br> 4.6.0-4
+ Revision: 652247
- Rebuild with cloog/ppl enabled and corrections to python files
- Enable cloog/ppl
- Rediff gcc pr48343 from gcc 4.6 branch commit
- Correct python path in .py files moved to py_puresitedir

* Wed Apr 06 2011 Funda Wang <fwang@mandriva.org> 4.6.0-3
+ Revision: 651034
- update source's address
- add runtime dep on binutils for clean chroot

* Tue Apr 05 2011 Paulo Andrade <pcpa@mandriva.com.br> 4.6.0-2
+ Revision: 650786
- Bump release to allow clear upgrade for people using main/testing
- Change glibc-devel from BuildRequires to Requires what is the proper condition
- Update to gcc 4.6.0

* Fri Mar 04 2011 Paulo Andrade <pcpa@mandriva.com.br> 4.6.0-1
+ Revision: 641868
- Exclude gcj-tools gnative2ascii file from gcc-ada

* Thu Feb 10 2011 Paulo Andrade <pcpa@mandriva.com.br> 4.5.2-2
+ Revision: 637182
- Disable cloog as a package should be made for ppl/cloog/melt support
- Actually enable plugins
- Add workaround for rpm debugedit due to joining $TMP or $TMPDIR with
  a filename and having // in the pathname
- Update to gcc 4.5.2.

  + Funda Wang <fwang@mandriva.org>
    - rebuild for new ppl

  + Thierry Vignaud <tv@mandriva.org>
    - let the doc subpackage be noarch

* Wed Aug 25 2010 Christophe Fergeau <cfergeau@mandriva.com> 4.5.1-1mnb2
+ Revision: 573098
- gcc 4.5.1

* Tue Aug 24 2010 Christophe Fergeau <cfergeau@mandriva.com> 4.5.0-1mnb2
+ Revision: 572931
- fix gcc-plugins group
- revert previous commit which was bogus :-/
- libstdc++ gdb python helper is always in /usr/lib whatever the arch is,
  and since it's a python script, it's "noarch", so we can unconditionnally
  put it in a directory ending in /usr/lib, no need to have both /usr/lib
  and /usr/lib64
- make sure LTO is enabled
- remove workaround for debugedit issue since it's now fixed in rpm thanks to Anssi :)
- import gcc 4.5.0

  + Herton Ronaldo Krzesinski <herton@mandriva.com.br>
    - Move gdb.py to gdb data dir.

* Tue Feb 09 2010 Funda Wang <fwang@mandriva.org> 4.4.3-2mnb2
+ Revision: 502641
- rebuild for new gmp

* Sun Jan 24 2010 Funda Wang <fwang@mandriva.org> 4.4.3-1mnb2
+ Revision: 495383
- New version 4.4.3
- CVE-2009-3736 patch merged upstream

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - set interpreter path when using -muclibc to the one used by our uClibc (P304)

* Mon Nov 30 2009 Oden Eriksson <oeriksson@mandriva.com> 4.4.2-5mnb2
+ Revision: 471759
- P303: security fix for CVE-2009-3736

* Fri Nov 27 2009 Christophe Fergeau <cfergeau@mandriva.com> 4.4.2-4mnb2
+ Revision: 470667
- update for gcc 4.4.2

  + Thierry Vignaud <tv@mandriva.org>
    - split checks in %%check
    - more more doc from libstdc++-devel and gcc-c++ into gcc-doc
    - use ln instead of cp (less disk usage, faster)

* Tue Sep 29 2009 Christophe Fergeau <cfergeau@mandriva.com> 4.4.1-3mnb2
+ Revision: 450840
- another attempt at fixing the libgcj_bc stuff.
  The previous change wasn't a good idea because non-system compilers' libgcj_bc
  would obsolete the system libgcj_bc which is a bad idea :)

* Mon Sep 28 2009 Christophe Fergeau <cfergeau@mandriva.com> 4.4.1-2mnb2
+ Revision: 450607
- One more attempt at fixing libgcj_bc packaging
- don't ship libgcj_bc shared libs both in libgcj10 and libgcj_bc1
  should fix bug #54121

* Thu Jul 23 2009 Christophe Fergeau <cfergeau@mandriva.com> 4.4.1-1mnb2
+ Revision: 398776
- upload gcc 4.4.1 tarball
- preparation for gcc 4.4.1 (couldn't find it on the mirrors yet)

* Mon Jul 20 2009 Anssi Hannula <anssi@mandriva.org> 4.4.0-5mnb2
+ Revision: 398069
- remove python files from gcj-tools that conflicted with
  java-1.5.0-gcj-devel

* Sat Jul 18 2009 Anssi Hannula <anssi@mandriva.org> 4.4.0-4mnb2
+ Revision: 396976
- enable libobjc_gc (Mika Laitio)

* Wed Jun 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 4.4.0-3mnb2
+ Revision: 382395
- enable cloog/ppl in the build
- Don't install aot-compile and rebuild-gcj-db since it's part of java-1.5.0-gcj
- remove meaningless comment, disable -Wformat=error :-/
- only do try find locale files for libstdc++ if we actually build it
- check if files are present before trying to sanitize their rpath
- ada fixes
- Revert wrong hunk from wformat-fixes (see comment above it in the source)

* Tue May 19 2009 Christophe Fergeau <cfergeau@mandriva.com> 4.4.0-1mnb2
+ Revision: 377476
- Don't attempt to build ada docs when ada is disabled
- Add cloog/ppl support to build (disabled for now)
- Fix customization of gcc bug URL
- Fix spec for ada support. Don't reenable ada build for now since we don't have
  a gnat compiler available in main to bootstrap it
- enable java in build
- spec update for gcj 4.4.0
- Initial pass at a gcc 4.4 package, rediff patches and get working C and C++ compilers. java and ada and tests are disabled for now.
- Fix one more format warning
- Get rid of cputoolize
- Rediff patches against gcc 4.3.3
- Reset release counter
- Disable ada for now
- Add missing space in substitution, this bug has been here forever, dunno why it never showed up before...
- Add patch 114 to fix -Wformat=error issues
- Upload gcc 4.3.3 tarball

  + Helio Chissini de Castro <helio@mandriva.com>
    - Add another wformat fix on current patch

  + Anssi Hannula <anssi@mandriva.org>
    - split libgcj_bc to a separate package to avoid future conflicts
    - fix libgcj_bc handling of non-system-compilers (ported from gcc4.3)
    - do not require libgcj-devel in gcj-tools

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - only leave out libgcc_eh.a when building cross bootstrap (needs to be verified)
    - don't include libgomp.info when building without libgomp
    - libgmp-devel & libmpfr-devel is needed for building regardless of gfortran
    - sync some patches and configure options with gcc from gdium tree
    - fix bootstrap build of cross compiler
    - work around issue with xgcc ignoring --sysroot when cross-compiling
    - fix so that lsb-headers patches gets applied in correct location..
    - * add mips stuff to lsb-headers for cross compiling (P1000)
      * sysroot headers should go to usr/include/, not include/

  + Pixel <pixel@mandriva.com>
    - rebuild with gnat enabled

* Fri Nov 07 2008 Pixel <pixel@mandriva.com> 4.3.2-5mnb2
+ Revision: 300457
- rebuild without gnat for now (we need to rebuild libgcj first)

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild since lib{,64}gcj9 depends on libxcb-xlib.so.0 which is no more

* Fri Sep 12 2008 Pixel <pixel@mandriva.com> 4.3.2-3mnb2
+ Revision: 284163
- fix broken symlinks <platform>-gfortran and <platform>-gcj (#43341)
- when not system_compiler:
  o handle conflicts with system_compiler
  o require manbo-files-gcc%%{branch}

* Thu Sep 04 2008 Pixel <pixel@mandriva.com> 4.3.2-2mnb2
+ Revision: 280693
- rename libffi-devel back to libffi4-devel (cf #43381)

* Fri Aug 29 2008 Pixel <pixel@mandriva.com> 4.3.2-1mnb2
+ Revision: 277302
- 4.3.2
- drop db-pathtail patch (fixed upstream)
- fix build when not system_compiler
- fix build without libgomp

* Fri Jun 27 2008 Pixel <pixel@mandriva.com> 4.3.1-2mnb2
+ Revision: 229470
- snapshot 4.3-20080626 (including fix for gccbz#36533)
- do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Jun 09 2008 Pixel <pixel@mandriva.com> 4.3.1-1mnb2
+ Revision: 217093
- gcc 4.3.1
- workaround bug with redefined extern inline (mdvbz #41171, upstream #33763)
- drop alternatives for anything but c,c++,cpp
- so drop having %%version in binary names (eg: gjar instead of gjar-4.3.1),
  this implies gcj-tools conflicts with current classpath
- libgcj-devel and libgcj-static-devel must obsolete libgcj9-devel and libgcj9-static-devel

* Mon May 19 2008 Pixel <pixel@mandriva.com> 4.3.1-0.20080515mnb2
+ Revision: 208957
- snapshot 4.3-20080515
- change version in java homedir to 1.5.0
- drop logging.properties and classpath.security (bug #23693)
- load java property files from /usr/lib instead of /usr/lib64 on 64-bit
  systems (patch130, see bug #23693)
- add patch133 (db-pathtail) to fix build (??, from gcc4.3.spec)
- drop patch 104 for now, may break cross builds
  (but hopefully it can be fixed differently)
- drop old patch 117, hopefully unneeded (Ada only)
- drop now unneeded patches 118, 120, 121, 123, 125, 128
- rediff patches 202, 211
- libgcj9 conflicts with libgcj8
- gcc-java now requires eclipse-ecj
- drop require for zip from libgcj-devel, gjar is now used
- drop patch 104 for now, may break cross builds
  (but hopefully it can be fixed differently)
- be the system_compiler on mdv2009.0
- add support for building on distros where gcc4.2 is system_compiler
- libxxx-devel which have files in %%{gcc_libdir}/%%{gcc_target_platform}/%%{version} and do not require gcc must own that directory
- %%{gcc_libdir}/%%{gcc_target_platform}/%%{version}/include/bits must be owned by libstdc++-devel
  (otherwise it's not removed on upgrade to a new gcc version)
- build libffi when building java, but remove the binaries in non-system-compiler builds
- handle build_stdcxxheaders on non system_compiler (from gcc4.3.spec)
- drop support for building on mdv2007.0 and older
- drop mention of deprecated gcc-$(gcc%%{branch}-version) for non system_compiler from %%description
- use %%{buildroot} instead of $RPM_BUILD_ROOT
- handle building without libgcj_bc, and build with libgcj_bc and not system_compiler (from gcc4.3.spec)

* Mon Mar 17 2008 Pixel <pixel@mandriva.com> 4.2.3-6mnb1
+ Revision: 188307
- add requires on specific manbo-files-gcc-xxx

* Fri Mar 14 2008 Pixel <pixel@mandriva.com> 4.2.3-5mnb1
+ Revision: 187793
- increase release
- gcc can't use %%check since we need to "make check" before %%install. but still
  allow "--without check" the standard way
- %{base_release} is not needed anymore
- revert gcc-core/gcc-other split
- re-add Requires on manbo-files-gcc
  (no Requires(pre) needed since all files are not installed through the symlink)
- revert gcc-core/gcc-other split (only keeping the fixes and manbo_mkrel)
- revert gcc-core/gcc-other split
- use manbo_mkrel for gcc-core
- we must ensure manbo-files-gcc is installed prior to install of files in
  /usr/lib/gcc/*-mandriva-linux-gnu/<version>/ (otherwise manbo-files-gcc
  install will fail)

* Wed Mar 12 2008 Pixel <pixel@mandriva.com> 4.2.3-3mdv2008.1
+ Revision: 187140
- use simple "make bootstrap-lean" instead of "make profiledbootstrap"
  (it fails, it is not very useful, and jakub disabled it in fedora too)
- libjack-devel is needed to build libgjsmdssi
- java: always build with dssi-devel for libgjsmdssi

* Fri Mar 07 2008 Pixel <pixel@mandriva.com> 4.2.3-2mdv2008.1
+ Revision: 181288
- fix build on x86_64: do not create 32/libgomp.so if not build_libgomp
- add script to sync gcc-other from gcc-core
- new release: 4.2.3
- use a fixed list of include headers to keep

  + Kiichiro Naka <knaka@turbolinux.co.jp>
    - use _real_vendor not _vendor
    - gcc requires gcc-manbo-files if the vendor is "manbo"
    - fix vendor name as "manbo"
    - fix a condition macro
    - added prereq for "manbo-files-gcc"
    - remove requirement for manbo-files
    - modify misc packages require not gcc but gcc-BRANCH
    - split the SRPM to "core" and "other" for Manbo packages
    - Rename the spec file
    - Renamed from "gcc" for Manbo packages

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request
    - move huge (& mostly prehistoric) Changelogs in doc subpackage

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

* Thu Dec 06 2007 Pixel <pixel@mandriva.com> 4.2.2-2mdv2008.1
+ Revision: 115817
- new 4.2.x snapshot (includes fix for PR34130, ie -10*abs(...) => abs(10*...))

* Tue Nov 13 2007 Pixel <pixel@mandriva.com> 4.2.2-1mdv2008.1
+ Revision: 108502
- 4.2.2 final release

  + Thierry Vignaud <tv@mandriva.org>
    - s/Mandrake/Mandriva/

* Fri Sep 14 2007 Pixel <pixel@mandriva.com> 4.2.2-0.RC.1mdv2008.0
+ Revision: 85687
- 4.2.2 RC1

* Tue Aug 28 2007 Pixel <pixel@mandriva.com> 4.2.1-6mdv2008.0
+ Revision: 72838
- new svn snapshot
- get rid of one last hardlink (c++-%%{version} and g++-%%{version}) by simplifying some script
- fix build without fortran/java/c++

  + Thierry Vignaud <tv@mandriva.org>
    - kill update-alternative file require
    - kill file require on info-install

  + Christiaan Welvaart <spturtle@mandriva.org>
    - for ppc, remove ssp options from OPT_FLAGS because libgcj crashes when built with them

* Fri Aug 03 2007 Pixel <pixel@mandriva.com> 4.2.1-4mdv2008.0
+ Revision: 58669
- replace hardlinks on binaries with symlinks (#18160)
- don't mess with binaries gcc-%%{version} and %%{gcc_target_platform}-gcc (#18160)
  so that they are correctly the same file (hardlinks)
- do package binary %%{gcc_target_platform}-gcc-%%{version}
- do not package /usr/bin/gcj (as used to be in 4.1 pkg), otherwise alternatives are broken
  (nb: it breaks cooker to cooker upgrade, please fix by hand)
- new svn snapshot from 4.2 branch
- drop applied gcc-ada-gnat_ugn-info-fix.patch
- normalize %%clean (#18155)
  (maybe it was used by gb to keep test_summary.log, this is no longer needed)
- add -%%{version} suffix to gkeytool to avoid conflict with classpath

  + Anssi Hannula <anssi@mandriva.org>
    - disable libgcj_bc.so.1 provides from the libgcj-devel package, only
      libgcj8 itself should provide it

* Fri Jul 06 2007 Pixel <pixel@mandriva.com> 4.2.1-3mdv2008.0
+ Revision: 48942
- get rid of colorgcc (it will be in its own package)
- libstdc++.mo files from libstdc++ to gcc-c++ (to respect proper libification)
- don't package /usr/lib/gcj-4.2.1/*.la files
- add -%%{version} suffix to gappletviewer/gjarsigner to avoid conflict with classpath
- libstdc++-static-devel doesn't conflict with other libstdc++X-static-devel pkgs
- libgcj-devel doesn't conflict with other libgcjX-devel pkgs
- libgcj-static-devel doesn't conflict with other libgcjX-static-devel pkgs
- libstdc++-devel doesn't conflict with other libstdc++X-devel pkgs
- add obsolete/provide from libstdc++-static-devel on libstdc++6-static-devel
- fix obsolete from libffi-devel (it is now on libffi4-devel), and add provide
- add provides on obsoleted libstdc++6-devel (#31765)

* Thu Jul 05 2007 Pixel <pixel@mandriva.com> 4.2.1-2mdv2008.0
+ Revision: 48664
- 4.2.1 RC1
- use libxxx-devel instead of libxxx1-devel for libstdc++-devel, libgcj-devel,
  libffi-devel, libmudflap-devel, libssp-devel, libgomp-devel
- simplify conflicts on previous devel packages
- drop biarch_java support from .spec (it was already disabled)
- have the test_summary.log in the right place
- fix gcj_libdir (it is in lib64 on x86_64)
- use %%{gcj_libdir} macro, and drop the duplicated %%{gcj_libdir} entry
- we currently can't have a nice fixed list of *.h not to bundle, so don't die
  when removing non existing *.h
- zip is required to build libjava
- 4.2.0 svn snapshot
- drop libgcjawt renaming (still needed? maybe not since it has moved)
- package the result of tests to allow comparing when building a new gcc
- package libstdc++.mo files
- move branch to mainstream
- replacing with branch version

  + Anssi Hannula <anssi@mandriva.org>
    - remove classpath.security and logging.properties as they now reside in
      jpackage-utils (fixes bug #23693)
    - add biarch handling for libgcj-tools and libgcj_bc

  + Christiaan Welvaart <spturtle@mandriva.org>
    - do not try to build the spu cross compiler on ppc
    - do not build soft-float libraries for ppc

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - actually disable libffi when defining so (fixes #26518)
    - add autogen to buildrequires for %%check (fixes #17409)
    - add niagara support (P1000 & P1001, fixes #28503)
    - Fix %%g7 usage in TLS, add patch sparc-g7.dpatch, fixes glibc-2.4 build failure
      on sparc (Fabio M. Di Nitto) (P1000)


* Fri Mar 02 2007 Gwenole Beauchesne <gbeauchesne@mandriva.com> 4.1.2-1mdv2007.0
+ Revision: 131425
- don't build crt files with -fasynchronous-unwind-tables
- 4.1.2 + SVN (2007/03/02):
  * fix C++ visibility regression
  * fix PRs c++/30536, ada/30684, fortran/29441, fortran/25392,
  fortran/30400, fortran/30799, fortran/30478, rtl-optimization/30931,
  rtl-optimization/29599, middle-end/24427, rtl-optimization/28173,
  tree-optimization/30823, rtl-optimization/30787, debug/30189,
  rtl-optimization/28772, middle-end/30473, middle-end/30313
- fix full cross-compilers (e.g. {ppc,ppc64} on x86_64 for C, C++, Fortran 95)

* Mon Jan 15 2007 Gwenole Beauchesne <gbeauchesne@mandriva.com> 4.1.2-0.20070115.1mdv2007.1
+ Revision: 109050
- 4.1-branch (2007/01/15)
- don't package nof libraries on ppc
- fix default --with-cpu for non-ppc32e arches
- default to --hash-style=gnu
- add MNI intrinsics support (SSSE3)
- fix sse3 monitor intrinsic on x86_64 (PR target/24879)
- Created directory for version 4.1.2.
- Created releases directory.

* Wed Jan 10 2007 Gwenole Beauchesne <gbeauchesne@mandriva.com> 4.1.2-0.20061110.2mdv2007.1
+ Revision: 106916
- backport Cell SPU support from trunk
- fix build with new optflags

* Fri Nov 10 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 4.1.2-0.20061110.1mdv
- 4.1-branch (2006/11/10)
- slight updates to the Cell patch
- optimize for power4+ processors on ppc64
- add arm support files on popular request
- move classmap.db to arch-dependent library package, not gcj-tools
- fix ia64 cross compiler build (import LSB 3.1 headers)
- fix buildrequires, crosscompiler builds (#26715, #26483, #26484, #26518)
- enable long-double-128 on sparc (Per Oyvind Karlsen, #26485)

* Fri Oct 13 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 4.1.2-0.20060921.1mdv
- 4.1-branch (2006/09/21)
- merge Cell PPU optimizer from SCEI / BSC (IBM SDK 1.1)

* Tue Jul 25 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 4.1.1-3mdk
- handle gfortran in colorgcc (#20265)
- enable 128-bit long doubles on powerpc arches (Jakub, RH 4.1-branch)
- 4.1-branch (2006/07/24)
  * fix PRs c++/27495 c++/28025 c++/28048 c++/28235 c++/28258
    c++/28291 c++/28304 c++/28337 c++/28338 c++/28363 c/26993 c/28286
    middle-end/28283 target/28247 tree-optimization/19505

* Wed Jul 19 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 4.1.1-2mdk
- 4.1-branch (2006/07/16)
- add -mtune=generic (trunk)
- drop jdk-config (use pkg-config)
- fix colorgcc alternatives on upgrades
- fix build without java (Per Oyvind Karlsen)

* Fri May 19 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 4.1.1-1mdk
- 4.1.1 RC1
- rebuild against glibc 2.4 (stop building libssp0)
- add missing obsoletes (libgfortran0, libgcj6-base, libgcj6-src)

* Fri Apr 07 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 4.1.1-0.20060405.1mdk
- buildrequires alsa devel deps
- 4.1-branch (2006/04/05):
  * fix PRs java/26858, java/26858, java/2604, fortran/25358,
    fortran/19303, tree-optimization/26996, tree-optimization/26763,
    tree-optimization/18527, tree-optimization/26830, target/26459,
    libfortran/26735, fortran/19303, libgcj/26625, libgcj/27024,
    libgcj/26990, java/25414, java/26042

* Sat Apr 01 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 4.1.1-0.20060328.1mdk
- 4.1-branch (2006/03/28), major 4.1 changes include:
  * add new C parser
  * add Objective-C++ language support
  * vastly improve Java support (Classpath 0.19 + 0.20 bug fixes)
  * clean rewrite of stack-smashing protector

* Wed Mar 15 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 4.0.3-1mdk
- build libffi with PIC, decide later whether to ship DSO or not
- 4.0.3 release, fix a few more PRs: c/25682, c++/26291, c++/26266,
  ada/25885, ada/20753, middle-end/18859, target/23706, target/22553,
  middle-end/26092, c++/25632, ada/13408, rtl-optimization/25196,
  middle-end/16045, target/26255, bootstrap/16787, libgcj/26351,

* Sun Feb 19 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 4.0.3-0.20060215.2mdk
- fix biarch ppc64 build (missing -m32 crt files)
- add libffi & java support to sparc arches (Per Oyvind)
- add option to tune for Montecito CPUs (alias to Itanium 2 for now, H.J. Lu)

* Wed Feb 15 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 4.0.3-0.20060215.1mdk
- 4.0.2 + SVN 4.0-branch (2006/02/15)
- fix <ffitarget.h> include (#19564)
- remove lib-gnu-java-awt-peer-gtk.la, nobody lt_dlopens it (#20462)

* Thu Nov 03 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 4.0.2-1mdk
- 4.0.2 + SVN 4.0-branch (2005/11/03)
- fix build as secondary compiler on MDK 10.0
- fix E: gcj-tools binary-or-shlib-defines-rpath

* Fri Sep 16 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 4.0.1-6mdk
- fix requires and conflicts for updates

* Fri Sep 02 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 4.0.1-5mdk
- merge libjava from 4.0-rhl-branch
- make gcjh generate arch-independent code for 0x80000000
- add fastjar and grepjar man pages
- don't move <gcj/libgcj-config.h> around
- stick to /usr/share/java-ext dir for jpackage existing practise
- remove duplicated files, create a libgcjX-base package for classes
- fix possible reloads into read-only memory (4.0-branch, PR rtl-opt/15248)

* Tue Aug 30 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 4.0.1-4mdk
- build the cairo Graphics2D implementation on GTK (backport from 4.1)
- ship with biarch c++config.h headers
- mklibnamize java libs package, aka don't depend on huge 32-bit runtime
- fix kopete miscompilation on x86_64 (Richard Guenther, PR tree-opt/23326)
- merge from RH 4.0.1-10:
  * more testcases
  * support more than 16 nested GCC visibility pragmas (H.J.Lu)
  * fix linker command line ordering when compiling multiple java
    source files (Tom Tromey, #163099)
  * diagnose invalid uses of inline (Eric Christopher, PRs c/22052, c/21975)
  * fix __builtin_*_chk miscompilation (PR middle-end/23484)
- merge some java related changes from David Walluck:
  * add missing java files
  * don't add gcj- prefix to tools
  * java-1.4.2-gcj-compat now handles java and javac wrappers
  * fix libgcj alternative removal
  * ship with Java runtime library sources for use in Eclipse
  * ship with libgcjawt instead of jawt commonly used in non-free JVMs

* Sat Aug 27 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 4.0.1-3mdk
- updates from 4.0-branch (2005/08/26):
  * fix -dv option handling
  * fix documentation for -ftree-dominator-opts
  * fix PRs rtl-opt/23560, tree-optimization/23546, middle-end/23517,
    target/21571, target/23070, c/18175, middle-end/20624, c/21562,
    rtl-opt/21254, c++/23337, tree-optimization/21105, rtl-opt/23299,
    middle-end/23369, middle-end/23312, middle-end/22439,
    rtl-opt/23241, middle-end/21894, middle-end/21728,
    middle-end/21529, middle-end/21291, c++/20817, c++/22454,
    c++/23044, tree-optimization/23426, c++/22233, c++/23089,
    c++/21799, c++/8271, c++/23266, c++/23219, c++/20646, c++/22508,
    c++/23191, fortran/20363, fortran/23065, fortran/21432,
    libfortran/20006, libfortran/22143, fortran/18833, fortran/20850,
    fortran/22010, java/17845, java/21436, java/23230,
    libfortran/23154, libfortran/23428, libgcj/21020, libgcj/21074,
    libgcj/23353, libstdc++/23465, libstdc++/23550

* Fri Aug 05 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 4.0.1-2mdk
- add Red Hat Fortify extensions
- updates from 4.0-branch (2005/08/04):
  * aliasing bug fixes (tree-opt/23192, tree-opt/22591)
  * fix PRs tree-opt/19899, c/22311, rtl-opt/22619, middle-end/21362,
    debug/20161, c++/22545, fortran/22503, libfortran/23178,
    fortran/22570 et al.

* Wed Jul 27 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 4.0.1-1mdk
- 4.0.1 + updates from 4.0-branch (CVS 2005/07/26)
  * Fix PRs debug/21828, target/21149, target/22576,
    rtl-optimization/22167, tree-opt/22278, target/21721,
    middle-end/22057, c/22421, middle-end/20593, tree-opt/22105,
    middle-end/22028, debug/21946, debug/21946, middle-end/17961,
    target/22083, c/21911, c/22308, c/22013, c/22098, c++/22263,
    c++/22139, c++/22204, c++/22132, c++/20637, c++/20678, c++/21903,
    c++/20789, c++/21929, c++/20746, c++/10611, c++/20563

* Tue Jun 07 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 4.0.1-0.2mdk
- 4.0.1 (CVS 2005/06/06)
- description tweaks
- buildrequires gawk >= 3.1.4
- build ada on ia64
- fix build on ppc with nof libs (Christiaan)
- fix build on ppc64 and make it a biarch compiler too (3.3-branch)
- remove obsolete RH compatibility code with "2.96"

* Fri Jun 03 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 4.0.1-0.1mdk
- 4.0.1 (CVS 2005/06/01)
- obsoletes gcc-g77, improve post scriptlets
- fix internal build of ada for the testsuite
- fix build on x86_64 without biarch awt peers
- add missing MMX & 3D Now! intrinsics headers

* Thu May 05 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 4.0.0-3mdk
- rebuild as system compiler
- don't build 32-bit awt/gtk peer on lib64 platforms
- make /usr/lib/security/*.security %%config(noreplace)

* Tue May 03 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 4.0.0-2mdk
- ship with mudflap libs
- buildrequires: libgmp-devel for gfortran
- enable java with some changes:
  * add missing security and database files
  * add current directory in classpath if empty
  * handle java -jar JARFILE in the wrapper script
- updates from 4.0-branch as of 2005/05/02:
  * really inline memcpy with -minline-all-stringops (fix etherboot build)
  * fix kernel miscompilation (PR tree-optimization/21173)
  * more tweaks to <tr1/type_traits> (issue 3.20)
  * fix PRs ada/18847, c++/19542, rtl-optimization/21144,
    target/21098, java/21022, c/21159, c/21213, c/20740,
    rtl-optimization/21163, middle-end/20991, target/21101, c++/21087,
    middle-end/20991, fortran/13082, fortran/18824, fortran/16861,
    fortran/20865, fortran/21177, fortran/20879, fortran/20059,
    java/21115, java/20768, libgfortran/20950, libgcj/21136,
    libgcj/21233, libstdc++/21286, libstdc++/21244, libstdc++/21035,
    libstdc++/20914

* Wed Apr 27 2005 Gwenole Beauchesne <gbeauchesne@mandrva.com> 4.0.0-1mdk
- add missing <bits/cxxabi_tweaks.h>
- don't obsolete g77 packages as they may still be there for now
- further visibility fixes for KDE 3.4 on x86-64
- 4.0 release + updates from 4.0-branch as of 2005/04/24:
  * fix PRs rtl-opt/21102, target/21100, target/21099, c++/20805,
    middle-end/20973, c/12913, fortran/14569
- merge with gcc3.4 package:
  * fix javac wrapper script for automake1.9 testsuite (Christiaan)
  * fix libgcj pkgconfig files to look for gcj includes at the right place
  * avoid installing gcc into /usr/lib64 so that existing ways to generate
    libtool scripts can cope with 32-bit development on 64-bit platforms
  * unset TEXINPUTS when building PDF docs (G. Rousse)
  * disable 64-bit code generation if running under a 32-bit personality
  * temporarily disable libffi/java on sparc, sparc64 (Per Oyvind Karlsen)

* Fri Apr 15 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 4.0.0-0.4mdk
- add fortran 95 front-end, they are now called gfortran and f95

* Fri Apr 15 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 4.0.0-0.3mdk
- update from CVS (2005/04/14)

* Wed Dec 29 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 4.0.0-0.2mdk
- update from CVS (2004/12/28)
- make libstdc++.so symlink less sensitive to future changes from 3.4

* Sat Sep 11 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 4.0.0-0.1mdk
- Renamed to 4.0.0 (2004/09/10)

* Wed Jul 07 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 3.5.0-0.1mdk
- First Preview Release for Mandrakelinux

